package com.zanxiang.game.platform.serve.controller;

import com.zanxiang.game.platform.serve.pojo.entity.GamePlatform;
import com.zanxiang.game.platform.serve.pojo.entity.GamePlatformAccount;
import com.zanxiang.game.platform.serve.service.IGamePlatformAccountService;
import com.zanxiang.game.platform.serve.service.IGamePlatformService;
import com.zanxiang.game.platform.serve.service.platform.PlatformDeYangService;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2023-05-22
 * @description : 德扬接口
 */
@Api(tags = {"德扬手动同步"})
@Slf4j
@RestController
@RequestMapping("/deYang/game")
public class PlatformDeYangController {

    @Autowired
    private IGamePlatformService gamePlatformService;

    @Autowired
    private IGamePlatformAccountService gamePlatformAccountService;

    @Autowired
    private PlatformDeYangService platformDeYangService;

    @ApiOperation(value = "用户信息同步接口")
    @GetMapping("/user")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = Boolean.class)})
    public ResultVO<Boolean> syncUserInfo() {
        System.out.println("德扬用户信息手动同步");
        return ResultVO.ok(Boolean.FALSE);
    }

    @ApiOperation(value = "订单信息同步接口")
    @GetMapping("/order")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = Boolean.class)})
    public ResultVO<Boolean> syncOrderInfo() {
        System.out.println("德扬订单信息手动同步");
        return ResultVO.ok(Boolean.FALSE);
    }

    @ApiOperation(value = "测试")
    @GetMapping("/test")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = Boolean.class)})
    public ResultVO<Boolean> test() {
        GamePlatform gamePlatform = gamePlatformService.getById(1L);
        List<GamePlatformAccount> list = gamePlatformAccountService.list();
        list.forEach(l -> {
            platformDeYangService.syncUserByAccount(gamePlatform, l, null, null);
        });
        return ResultVO.ok(Boolean.FALSE);
    }

}
